Bug 30296 - Correct path for cookie bibs_selected
Summary: Correct path for cookie bibs_selected
Status: Pushed to oldoldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: 20.11
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-03-15 13:23 UTC by Marcel de Rooy
Modified: 2022-03-27 16:35 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
19.11.28,20.11.18


Attachments
Bug 30296: [20.11.x] Set path for bibs_selected (1.20 KB, patch)
2022-03-15 13:32 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2022-03-15 13:23:01 UTC
Moved from 29957
Comment 1 Marcel de Rooy 2022-03-15 13:32:09 UTC
Created attachment 131717 [details] [review]
Bug 30296: [20.11.x] Set path for bibs_selected

Or it does not get cleared. Not that we may want to skip it for master
as bug 29932 is going to replace it with sessionStorage

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
No longer needed too on 21.11 and 21.05.
Comment 2 Marcel de Rooy 2022-03-15 13:33:54 UTC
RM and RMaints: Please push this forward for 20.11 and/or lower. NOT for 21.11 or 21.05
Comment 3 Victor Grousset/tuxayo 2022-03-17 22:45:58 UTC
How should this be tested?

In staff search results, ticking multiples records and placing a hold works even with setContextBiblioNumbers empty so it doesn't seem to be the right workflow that makes use of that function.
Comment 4 wainuiwitikapark 2022-03-18 02:06:02 UTC
I need to backport this to 19.11.x right?
Comment 5 Marcel de Rooy 2022-03-18 07:08:28 UTC
(In reply to wainuiwitikapark from comment #4)
> I need to backport this to 19.11.x right?

Yes 20.11 and lower
Comment 6 wainuiwitikapark 2022-03-21 00:34:34 UTC
Backported to 19.11.x
Comment 7 Victor Grousset/tuxayo 2022-03-27 00:37:35 UTC
> How should this be tested?

Doesn't sound too risky. So:
Backported: Pushed to 20.11.x branch for 20.11.17
Comment 8 Victor Grousset/tuxayo 2022-03-27 16:35:14 UTC
For 20.11.18 actually.